##
##  c-client.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_real 2002a
%define       V_here 2002a

#   package information
Name:         c-client
Summary:      The c-client library
URL:          http://www.washington.edu/imap/
Vendor:       University of Washington
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Mail
License:      University of Washington's Free-Fork License
Version:      %{V_here}
Release:      20021214

#   list of sources
Source0:      ftp://ftp.cac.washington.edu/imap/imap-%{V_real}.tar.Z

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc, openssl
PreReq:       OpenPKG, openpkg >= 20020206, openssl
AutoReq:      no
AutoReqProv:  no

%description
    The c-client library provides an API to access IMAP servers.

%prep
    %setup -q -n imap-%{V_real}

%build
    os=""
    case "%{l_target}" in
        *-freebsd*) os=bsf ;;
        *-linux*  ) os=slx ;;
        *-solaris*) os=gso ;;
        *-irix*   ) os=gsg ;;
        *) echo "Unsupported platform %{l_target}" 1>&2; exit 1 ;;
    esac
    %{l_make} $os \
        SSLDIR=%{l_prefix} \
        EXTRACFLAGS='-I%{l_prefix}/include' \
        EXTRALDFLAGS='-L%{l_prefix}/lib'

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/include
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/lib
    for h in c-client flstring linkage mail rfc822; do
        %{l_shtool} install -c -m 644 c-client/$h.h \
            $RPM_BUILD_ROOT%{l_prefix}/include/
    done
    %{l_shtool} install -c -m 644 c-client/c-client.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/libc-client4.a
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

